/**
 * \file
 *
 * \brief User board configuration template
 *
 */

#ifndef CONF_BOARD_H
#define CONF_BOARD_H

#define SPI_FREQ_HZ		20000000			// 20Mbps

// spi to expand connector
#define SPI_SS				IOPORT_CREATE_PIN(PORTD,4)
#define SPI_MOSI            IOPORT_CREATE_PIN(PORTD,5)
#define SPI_MISO            IOPORT_CREATE_PIN(PORTD,6)
#define SPI_SCK             IOPORT_CREATE_PIN(PORTD,7)

// Working LEDs
#define LEDS_COUNT			3
#define LED0_GPIO            IOPORT_CREATE_PIN(PORTE,5)
#define LED1_GPIO            IOPORT_CREATE_PIN(PORTE,6)
#define LED2_GPIO            IOPORT_CREATE_PIN(PORTE,7)

#define LED0                 LED0_GPIO
#define LED1                 LED1_GPIO
#define LED2                 LED2_GPIO

#endif // CONF_BOARD_H
