/*
 * tc_routines.c
 *
 * Created: 19.4.2014 15:27:51
 *  Author: Jarda
 */ 

#include "tc_routines.h"

// code to execute when the overflow occurs here
static void tcd0_callback(void)
{
	tcd0_flag = 1;
}

// code to execute when the overflow occurs here
static void tce0_callback(void)
{
	tce0_flag = 1;
}

void tcd0_init(void)
{
	tc_enable(&TCD0);
	tc_set_overflow_interrupt_callback(&TCD0, tcd0_callback);
	tc_set_wgm(&TCD0, TC_WG_NORMAL);
	tc_write_period(&TCD0, 3125); // 100ms
	tc_set_overflow_interrupt_level(&TCD0, TC_INT_LVL_LO);
	tc_write_clock_source(&TCD0, TC_CLKSEL_DIV1024_gc);
}

void tce0_init(void)
{
	tc_enable(&TCE0);
	tc_set_overflow_interrupt_callback(&TCE0, tce0_callback);
	tc_set_wgm(&TCE0, TC_WG_NORMAL);
	tc_write_period(&TCE0, 125); // 1ms
	tc_set_overflow_interrupt_level(&TCE0, TC_INT_LVL_LO);
	tc_write_clock_source(&TCE0, TC_CLKSEL_DIV256_gc);
}

